Data dodania Pytanie
2018-01-12 12:01 Gem::LoadError: can't activate pg (~> 0.18), already activated pg-1.0.0 »
I've been doing the Rails tutorial found here and have been successful up to the point of having to migrate the Comments migration using $ rails db:mi...
(2) odpowiedzi
2018-01-06 18:01 Bundle: Missing Digest for Metadata.gz »
i'm getting the following error when using bundler to install a the current rspec version. The gem rspec-core-3.7.1 can't be installed because the s...
(1) odpowiedzi
2018-01-03 00:01 Bundler can't find rspec executable »
When I try to run my tests in my Rails 5.1 app, I'm getting an error that the executable can't be found: $ bundle exec rspec bundler: failed to load ...
(1) odpowiedzi
2017-12-28 17:12 Your Ruby version is 2.3.1, but your Gemfile specified 2.4.1 »
What is just happening here? I used gem install bundler as well. ...
(1) odpowiedzi
2017-12-09 04:12 Kaminari pager not working with Sinatra and Mongoid? »
Can't get Kaminari to work with Sinatra and Mongoid. I'm getting this error: NoMethodError at /api/events undefined method `page' for #<Mongoid::...
(0) odpowiedzi
2017-12-08 16:12 dotnet bundle not working in .net core mvc application »
I try to use bundleconfig.json, which is standard added to the project when I started the prjoect. I read every where they say you have to run dotne...
(0) odpowiedzi
2017-11-29 21:11 Ruby Bundler Version Dependency Confusion in Lockfile »
I will try and keep this focused. When trying to move from a working bundler 1.14.6 combined with a Gemfile + Gemfile.lock to 1.15.2 or higher I ran ...
(0) odpowiedzi
2017-11-08 08:11 How to test production build of Rails project with same Rpec tests? »
I'm building an JSON API service with Rails and using docker for running it in production. In my Dockerfile I would want to use: RUN bundle install -...
(1) odpowiedzi
2017-11-01 10:11 Bundler: `initialize': Read-only file system Gemfile.lock »
I'm running bundle install in a VM for an application in Ruby 1.9.3, Rails 3.0.20, Bundler 1.6.2, but it gives me this error about the gemfile.lock I...
(0) odpowiedzi
2017-10-21 01:10 Bundler can't find a gem even though gem install works »
For this Gemfile: source 'https://rubygems.org' ruby '2.3.1' # equivalent version to what jruby supports gem 'jrubyfx' Bundler can't find the gem...
(1) odpowiedzi
2017-08-11 15:08 Ruby Native Extension - Manual Compilation »
I created new Ruby C Extension and hosted it in GitHub, and I install via Bundler (gem 'my_cool_gem', git: '..'). But when I run the application (rai...
(1) odpowiedzi
2017-07-31 17:07 Ruby version and project not matching »
When I run, bundle I see the following: Your Ruby version is 2.5.0, but your Gemfile specified 2.4.0.pre.dev my Gemfile looks like: source 'https:...
(2) odpowiedzi
2017-07-11 14:07 Difference between `warble executable war` vs `bundle exec warble executable war` »
I am trying to package a Rails application to a WAR file. I am pre-compiling the assets, then using warbler to package the application to a WAR file. ...
(1) odpowiedzi
2017-07-10 19:07 Odd behavior with Ruby bundler dependencies »
I am trying to write a simple HTTP API wrapper over calabash-android using sinatra, but I'm running into some issues. I get NoMethodFound errors any...
(0) odpowiedzi
2017-05-21 17:05 Docker & Rails | bundler: command not found: rails »
I'm brand new to Docker and fairly new to Rails. When I run docker-compose up, I get this error: web_1 | bundler: command not found: rails web_1 ...
(1) odpowiedzi
2017-05-19 15:05 added `acts_as_list` to gemfile, rails gives error :`bundler: failed to load command: rails` when running rails s »
I added the gem acts_as_listto my gemfile. Now when I run bundle exec rails s the server crashes and gives the error : bundler: failed to load command...
(1) odpowiedzi
2017-05-04 15:05 bundle is locked to yaml (4.2.2) »
I have found a project on github that use it. This project includes file named Gemfile.lock that contains these lines GEM remote: https://rubygems....
(0) odpowiedzi
2017-04-05 00:04 What is flat bundling and why is Rollup better at this than Webpack? »
I have recently been looking into rollup and seeing how it differs from Webpack and other bundlers. One thing I came across was that it is better for ...
(1) odpowiedzi
2017-03-22 03:03 Ruby Gems not found despite bundle install »
I have a Rails app. My collaborator updated the app's Ruby version and added Gems. I had to update my local version of Ruby to 2.3.1. Now it seems th...
(2) odpowiedzi
2017-03-20 21:03 stop bundler (or whatever) from adding ".pre.dev" to gem version »
My Gemfile contains a line like this ... gem 'mygem', :git => "git@github.com:me/mygem.git", :tag => '1.2.3' The actual gemspec contains...
(1) odpowiedzi
2017-03-16 21:03 Your user account isn't allowed to install to the system RubyGems »
I am running the command bundle install in a project folder. In some project folders it will produce an error and in other projects folders it will...
(1) odpowiedzi
2017-03-07 13:03 NoMethodError: undefined method `path' for #<Bundler::Source::Rubygems:0x7f7af5a6d818> »
Hi I am trying to setup rails application in my local machine, the rails application developed using rails 3.0.1 and ruby 1.8.7 when am trying to run ...
(1) odpowiedzi
2017-02-28 16:02 Travis CI error on deploy to Heroku »
Hello Guys I'm using for the first time Travis CI and when i'm getting an error for deploy. The test with Spec works fine but when I watch on Travis f...
(1) odpowiedzi
2017-02-28 01:02 Is require ´bundler/setup' the same as running Bundler.setup? »
Is this: require 'bundler' Bundler.setup accomplishing the same as: require 'bundler/setup' As far as I understand, bundler/setup requires all g...
(1) odpowiedzi
2017-02-23 23:02 Bundler could not find compatible versions for gem "faraday" »
I need help understanding this bundler error message: Bundler could not find compatible versions for gem "faraday": In Gemfile: metainspector (...
(0) odpowiedzi
2017-02-17 10:02 Difference between 'require bundler' and 'require bundler/setup' »
When I use require 'bundler/setup' i get Bundler.with_clean_env is not supported. But when I change this to require 'bundler' It supports ...
(2) odpowiedzi
2017-01-28 16:01 rake task not running sub-tasks in order specified »
In a rails 4.2 app, in Rakefile, I have this: task(:default).clear task :default => [:test, 'bundle:audit'] The output, always has bundle:audit ...
(1) odpowiedzi
2017-01-18 15:01 gem install bundler errors -- RHEL6 »
I am having two problems installing a ruby gem "bundler" on RHEL6. Below is a snapshot of the errors I am getting. The highlighted vim command just co...
(0) odpowiedzi
2017-01-13 08:01 Docker build unable to install pg gem in Sinatra project »
I've reviewed all the posts on SO with similar errors installing the Postgres pg gem. My issue is unique: I can successfully add Postgres to my Sina...
(0) odpowiedzi
2017-01-07 20:01 How to install ruby and bundler via Chef? »
I'm new to Chef and I'm trying, for hours now, figure out how to install ruby and install the gem bundler, I'm new to ruby too. I would like to clone...
(1) odpowiedzi
2016-12-13 20:12 puma plus bundler: launch app using pumactl, but bundler aware »
I'm creating a Puma/Sinatra app and would like to use bundler to manage gem versions. I have a Gemfile, Gemfile.lock, etc. I can launch my app via: ...
(1) odpowiedzi
2016-11-01 01:11 Bundle install Windows Custom Gem »
I'm quite new to Ruby and I am working on a project that runs well on linux, but I need to use Windows for it. I´m using jruby and I need to install ...
(1) odpowiedzi
2016-10-07 15:10 Pointing bundler to local fork besides master branch? »
I was looking into what options there were for pointing bundler/Gemfile to local forks of repos and came across "Local Git Repositories" on the bundle...
(0) odpowiedzi
2016-09-19 07:09 cannot load such file -- bundler (LoadError) in linode »
I want to deploy rails app to linode cloud server. I installed ubuntu 14.04 LTS and installed ruby 2.3.0 by rvm and also installed passenger with apac...
(3) odpowiedzi
2016-09-13 16:09 JRuby Warbler - How to compile gems also »
I know warble compiled, but this command compiles only the source of a project. I want that warbler compiles gems together. How to do it? ...
(1) odpowiedzi